## postfix-tempmail2 1.9.18

=== Makefile ===
libsocket_SRC=libsocket/C++/unixbase.cpp libsocket/C++/unixclientstream.cpp libsocket/C++/unixserverstream.cpp libsocket/C++/socket.cpp libsocket/C++/exception.cpp libsocket/C++/streamclient.cpp
libbotan_SRC=botan/botan_all.cpp
SRC_C=libsocket/C/unix/libunixsocket.c
SRC=main.cpp netstring.cpp crypto.cpp socket.cpp \
	$(libsocket_SRC) $(libbotan_SRC)
OBJ=$(SRC:.cpp=.o) $(SRC_C:.c=.o)
NAME=tempmail2

OPTI:=-O3

CFLAGS=-I libsocket/headers/ -fPIC -fpie $(OPTI)
CXXFLAGS=-I cppcodec -I libsocket/headers -I botan -DMIXED -DnoUSE_AEAD_MODE -DMAYBE_FIXED_IV -fPIC -fpie $(OPTI)
LIBS=-lboost_program_options -lpthread

.PHONY: libsocket submodules

all: submodules $(NAME)
$(NAME): $(OBJ) $(LSPP)
	$(CXX) -o $@ $(OBJ) $(LIBS)

# .botan-opts contains botan configuration
$(libbotan_SRC): botan/configure.py .botan-opts
	rm -f botan/botan_all*.{cpp,h}
	(cd botan ; python configure.py --amalgamation $(shell cat .botan-opts))
crypto.o: crypto.cpp $(libbotan_SRC)
socket.o: socket.cpp libsocket/headers/conf.h
$(libsocket_SRC): libsocket/headers/conf.h
$(SRC_C): libsocket/headers/conf.h
libsocket/headers/conf.h:
	(cd libsocket;cmake .)

clean:
	rm -Rf $(OBJ) *~
clean-botan:
	(cd botan ; git clean -fxd)
distclean: clean clean-botan
	rm -Rf $(NAME) $(libbotan_SRC)

install: $(NAME)
	install -d $(DESTDIR)/usr/sbin
	install -d $(DESTDIR)/etc/postfix
	install -d $(DESTDIR)/var/spool/postfix
	install -d $(DESTDIR)/lib/systemd/system
	install -d -o postfix $(DESTDIR)/var/run/tempmail2
	install -s $(NAME) $(DESTDIR)/usr/sbin/
	install -m 644 postfix-tempmail2.service $(DESTDIR)/lib/systemd/system/
	install -T -m 640 -g postfix conf.dist $(DESTDIR)/etc/postfix/tempmail2.conf

test: $(NAME)
	LANG=C ./$(NAME) --test --noiv -d
	LANG=C ./$(NAME) --test --noiv -d --encoding=base58
test-sok: test
	@(s=$$(./$(NAME) -g test@example.com) ; \
		fs="mail $$s" ; n=$$(echo -n $$fs|wc -c) ; \
		echo "test with 'echo -n \"$$n:$$fs,\" | socat STDIO UNIX:/tmp/sok ; echo'")
	LANG=C ./$(NAME) -c conf.test

submodules:
	git submodule update

=== libsocket/CMakeLists.txt ===
PROJECT(libsocket)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

# Header conf
SET(VERSION 2.4)

IF( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
    SET(IS_FREEBSD 0)
    SET(IS_LINUX 1)
    SET(IS_SUNOS 0)
ELSEIF( CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" )
    SET(IS_FREEBSD 1)
    SET(IS_LINUX 0)
    SET(IS_SUNOS 0)
ELSEIF( CMAKE_SYSTEM_NAME STREQUAL "SunOS" )
    SET(IS_FREEBSD 0)
    SET(IS_LINUX 0)
    SET(IS_SUNOS 1)
ENDIF()

CONFIGURE_FILE(headers/conf.h.in ${CMAKE_CURRENT_BINARY_DIR}/headers/conf.h)

# Compiler configuration
INCLUDE_DIRECTORIES(BEFORE ${CMAKE_CURRENT_BINARY_DIR}/headers/ ${CMAKE_CURRENT_SOURCE_DIR}/headers/)
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
ADD_DEFINITIONS(-Wall -Wextra)

IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr")
ENDIF()

# Install directories
SET(HEADER_DIR "include/libsocket")
SET(LIB_DIR "lib")

ADD_SUBDIRECTORY(C/)
ADD_SUBDIRECTORY(headers/)

IF( NOT IS_SUNOS )

    ADD_SUBDIRECTORY(C++/)
    ADD_DEPENDENCIES(socket++ socket)

ENDIF()

IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
	SET(CPACK_BINARY_DEB "ON")
	SET(CPACK_BINARY_RPM "OFF")
	SET(CPACK_BINARY_STGZ "OFF")
	SET(CPACK_BINARY_TBZ2 "OFF")
	SET(CPACK_BINARY_TGZ "OFF")
	SET(CPACK_BINARY_TZ "OFF")

	SET(CPACK_PACKAGE_NAME "libsocket")
	SET(CPACK_PACKAGE_VERSION "2.4.0")
	SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
	SET(CPACK_DEBIAN_PACKAGE_DEPENDS "")
	SET(CPACK_PACKAGE_CONTACT "Lewin Bormann <lbo@spheniscida.de>")
	SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The ultimate socket abstraction library for C and C++.")

	# List executables
	INCLUDE(CPack)
ENDIF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")

set(INSTALL_LIB_DIR lib CACHE PATH "Installation directory for libraries")
set(INSTALL_BIN_DIR bin CACHE PATH "Installation directory for executables")
set(INSTALL_INCLUDE_DIR include CACHE PATH "Installation directory for header files")
set(DEF_INSTALL_CMAKE_DIR lib/CMake/libsocket)

foreach(p LIB BIN INCLUDE CMAKE)
  set(var INSTALL_${p}_DIR)
  if(NOT IS_ABSOLUTE "${${var}}")
    set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
  endif()
endforeach()

export(TARGETS socket++ socket_int
  FILE "${PROJECT_BINARY_DIR}/libsocketTargets.cmake")

export(PACKAGE libsocket)

file(RELATIVE_PATH REL_INCLUDE_DIR "${INSTALL_CMAKE_DIR}"
   "${INSTALL_INCLUDE_DIR}")

set(CONF_INCLUDE_DIRS "${PROJECT_SOURCE_DIR}/headers")

configure_file(libsocketConfig.cmake.in
  "${PROJECT_BINARY_DIR}/libsocketConfig.cmake" @ONLY)

configure_file(libsocketConfigVersion.cmake.in
  "${PROJECT_BINARY_DIR}/libsocketConfigVersion.cmake" @ONLY)

=== libsocket/C++/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

SET(CMAKE_CXX_FLAGS "-std=c++11") # -DVERBOSE")

ADD_DEFINITIONS("-DMIXED")

SET(sources
dgramclient.cpp
dgramoverstream.cpp
framing.cpp
inetbase.cpp
inetclientstream.cpp
inetserverdgram.cpp
select.cpp
streamclient.cpp
unixclientdgram.cpp
unixdgram.cpp
unixserverstream.cpp
exception.cpp
inetclientdgram.cpp
inetdgram.cpp
inetserverstream.cpp
socket.cpp
unixbase.cpp
unixclientstream.cpp
unixserverdgram.cpp
)

ADD_LIBRARY(socket++ SHARED ${sources})

TARGET_LINK_LIBRARIES(socket++ socket_int)

INSTALL(TARGETS socket++ DESTINATION ${LIB_DIR})

=== libsocket/C++/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.13

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && /usr/bin/cpack --config ./CPackSourceConfig.cmake /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# The main all target
all: cmake_check_build_system
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(CMAKE_COMMAND) -E cmake_progress_start /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/CMakeFiles /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/C++/CMakeFiles/progress.marks
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 C++/all
	$(CMAKE_COMMAND) -E cmake_progress_start /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 C++/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 C++/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 C++/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
C++/CMakeFiles/socket++.dir/rule:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 C++/CMakeFiles/socket++.dir/rule
.PHONY : C++/CMakeFiles/socket++.dir/rule

# Convenience name for target.
socket++: C++/CMakeFiles/socket++.dir/rule

.PHONY : socket++

# fast build rule for target.
socket++/fast:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/build
.PHONY : socket++/fast

dgramclient.o: dgramclient.cpp.o

.PHONY : dgramclient.o

# target to build an object file
dgramclient.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramclient.cpp.o
.PHONY : dgramclient.cpp.o

dgramclient.i: dgramclient.cpp.i

.PHONY : dgramclient.i

# target to preprocess a source file
dgramclient.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramclient.cpp.i
.PHONY : dgramclient.cpp.i

dgramclient.s: dgramclient.cpp.s

.PHONY : dgramclient.s

# target to generate assembly for a file
dgramclient.cpp.s:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramclient.cpp.s
.PHONY : dgramclient.cpp.s

dgramoverstream.o: dgramoverstream.cpp.o

.PHONY : dgramoverstream.o

# target to build an object file
dgramoverstream.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramoverstream.cpp.o
.PHONY : dgramoverstream.cpp.o

dgramoverstream.i: dgramoverstream.cpp.i

.PHONY : dgramoverstream.i

# target to preprocess a source file
dgramoverstream.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramoverstream.cpp.i
.PHONY : dgramoverstream.cpp.i

dgramoverstream.s: dgramoverstream.cpp.s

.PHONY : dgramoverstream.s

# target to generate assembly for a file
dgramoverstream.cpp.s:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramoverstream.cpp.s
.PHONY : dgramoverstream.cpp.s

exception.o: exception.cpp.o

.PHONY : exception.o

# target to build an object file
exception.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/exception.cpp.o
.PHONY : exception.cpp.o

exception.i: exception.cpp.i

.PHONY : exception.i

# target to preprocess a source file
exception.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/exception.cpp.i
.PHONY : exception.cpp.i

exception.s: exception.cpp.s

.PHONY : exception.s

# target to generate assembly for a file
exception.cpp.s:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/exception.cpp.s
.PHONY : exception.cpp.s

framing.o: framing.cpp.o

.PHONY : framing.o

# target to build an object file
framing.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/framing.cpp.o
.PHONY : framing.cpp.o

framing.i: framing.cpp.i

.PHONY : framing.i

# target to preprocess a source file
framing.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/framing.cpp.i
.PHONY : framing.cpp.i

framing.s: framing.cpp.s

.PHONY : framing.s

# target to generate assembly for a file
framing.cpp.s:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/framing.cpp.s
.PHONY : framing.cpp.s

inetbase.o: inetbase.cpp.o

.PHONY : inetbase.o

# target to build an object file
inetbase.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/inetbase.cpp.o
.PHONY : inetbase.cpp.o

inetbase.i: inetbase.cpp.i

.PHONY : inetbase.i

# target to preprocess a source file
inetbase.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/inetbase.cpp.i
.PHONY : inetbase.cpp.i

inetbase.s: inetbase.cpp.s

.PHONY : inetbase.s

# target to generate assembly for a file
inetbase.cpp.s:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/inetbase.cpp.s
.PHONY : inetbase.cpp.s

inetclientdgram.o: inetclientdgram.cpp.o

.PHONY : inetclientdgram.o

# target to build an object file
inetclientdgram.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/inetclientdgram.cpp.o
.PHONY : inetclientdgram.cpp.o

inetclientdgram.i: inetclientdgram.cpp.i

.PHONY : inetclientdgram.i

# target to preprocess a source file
inetclientdgram.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/inetclientdgram.cpp.i
.PHONY : inetclientdgram.cpp.i

inetclientdgram.s: inetclientdgram.cpp.s

.PHONY : inetclientdgram.s

# target to generate assembly for a file
inetclientdgram.cpp.s:

=== libsocket/headers/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.13

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && /usr/bin/cpack --config ./CPackSourceConfig.cmake /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# The main all target
all: cmake_check_build_system
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(CMAKE_COMMAND) -E cmake_progress_start /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/CMakeFiles /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/headers/CMakeFiles/progress.marks
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 headers/all
	$(CMAKE_COMMAND) -E cmake_progress_start /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 headers/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 headers/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 headers/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... install/strip"
	@echo "... install/local"
	@echo "... package_source"
	@echo "... package"
	@echo "... install"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... list_install_components"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
postfix-tempmail2 (1.9.18) stable; urgency=medium

  * Upgrade Botan to 2.18.0

 -- Bastien Durel <bastien@durel.org>  Thu, 15 Apr 2021 16:02:59 +0200

postfix-tempmail2 (1.9.17) stable; urgency=medium

  * Upgrade Botan to 2.17.1

 -- Bastien Durel <bastien@durel.org>  Thu, 12 Oct 2020 11:36:41 +0100

postfix-tempmail2 (1.9.16) stable; urgency=medium

  * Upgrade Botan to 2.16.0

 -- Bastien Durel <bastien@durel.org>  Mon, 07 Oct 2020 09:54:34 +0200

postfix-tempmail2 (1.9.12) stable; urgency=medium

  * Upgrade Botan to 2.12.0

 -- Bastien Durel <bastien@durel.org>  Mon, 07 Oct 2019 16:45:37 +0200

postfix-tempmail2 (1.9.11) stable; urgency=medium

  * Upgrade Botan to 2.11.0
  * Update for buster

 -- Bastien Durel <bastien@durel.org>  Thu, 25 Jul 2019 09:49:43 +0200

postfix-tempmail2 (1.9.1) stable; urgency=medium

  * Remove base32 module from botan, as we use cppcodec's one

 -- Bastien Durel <bastien@durel.org>  Wed, 09 Jan 2019 17:42:46 +0100

postfix-tempmail2 (1.8.9) stable; urgency=medium

  * Add base58 encoding (keep base32 as default, seems better)

 -- Bastien Durel <bastien@durel.org>  Wed, 09 Jan 2019 17:22:07 +0100

postfix-tempmail2 (1.7.9) stable; urgency=medium

  * Upgrade Botan to 2.9.0

 -- Bastien Durel <bastien@durel.org>  Wed, 09 Jan 2019 15:53:09 +0100

postfix-tempmail2 (1.7.7) stable; urgency=medium

  * Upgrade Botan to 2.7.0

 -- Bastien Durel <bastien@durel.org>  Mon, 27 Aug 2018 16:41:06 +0200

postfix-tempmail2 (1.7.6) stable; urgency=medium

  * Upgrade Botan to 2.6.0

 -- Bastien Durel <bastien@durel.org>  Thu, 10 Apr 2018 15:54:27 +0200

postfix-tempmail2 (1.7.4) stable; urgency=medium

  * Upgrade Botan to 2.5.0

 -- Bastien Durel <bastien@durel.org>  Mon, 02 Apr 2018 17:11:54 +0200

postfix-tempmail2 (1.7.3) stable; urgency=medium

  * Upgrade Botan to 2.4.0

 -- Bastien Durel <bastien@durel.org>  Mon, 08 Jan 2018 17:31:11 +0100

postfix-tempmail2 (1.7.2) stable; urgency=medium

  * Handle --help option

 -- Bastien Durel <bastien@durel.org>  Thu, 14 Dec 2017 12:04:48 +0100

postfix-tempmail2 (1.7.1) stable; urgency=medium

  * Pass no-iv mode to generation server

 -- Bastien Durel <bastien@durel.org>  Wed, 18 Oct 2017 09:02:22 +0200

postfix-tempmail2 (1.7) stable; urgency=medium

  * Reduce size of localpart
  * Add no-iv mode to further reduce localpart size

 -- Bastien Durel <bastien@durel.org>  Tue, 17 Oct 2017 12:35:28 +0200

postfix-tempmail2 (1.6.4) stable; urgency=medium

  * Change generation socket path mode

 -- Bastien Durel <bastien@durel.org>  Tue, 10 Oct 2017 15:16:59 +0200

postfix-tempmail2 (1.6.3) stable; urgency=medium

  * Change generation socket default path

 -- Bastien Durel <bastien@durel.org>  Thu, 05 Oct 2017 11:56:39 +0200

postfix-tempmail2 (1.6.2) stable; urgency=medium

  * Change generation socket default path

 -- Bastien Durel <bastien@durel.org>  Thu, 05 Oct 2017 11:56:39 +0200

postfix-tempmail2 (1.6.1) stable; urgency=medium

  * Change generation socket default path

 -- Bastien Durel <bastien@durel.org>  Thu, 05 Oct 2017 11:56:39 +0200

postfix-tempmail2 (1.6) stable; urgency=medium

  * Add socket server/client to generate mails without access to config file

 -- Bastien Durel <bastien@durel.org>  Wed, 04 Oct 2017 10:41:40 +0200

postfix-tempmail2 (1.5.2) stable; urgency=medium

  * Really upgrade to botan 2.3 in package

 -- Bastien Durel <bastien@durel.org>  Tue, 03 Oct 2017 09:29:54 +0200

postfix-tempmail2 (1.5.1) stable; urgency=medium

  * Really upgrade to botan 2.3

 -- Bastien Durel <bastien@durel.org>  Tue, 03 Oct 2017 09:29:54 +0200

postfix-tempmail2 (1.5) stable; urgency=medium

  * Upgrade to botan 2.3

 -- Bastien Durel <bastien@durel.org>  Tue, 03 Oct 2017 09:29:54 +0200

postfix-tempmail2 (1.4) unstable; urgency=medium

  * Fix defaults & service file

 -- Bastien Durel <bastien@durel.org>  Thu, 29 Sep 2017 17:28:17 +0200

postfix-tempmail2 (1.3) unstable; urgency=medium

  * Minimized botan

 -- Bastien Durel <bastien@durel.org>  Thu, 29 Sep 2017 15:56:23 +0200

postfix-tempmail2 (1.2) unstable; urgency=medium

  * Provides description

 -- Bastien Durel <bastien@durel.org>  Thu, 29 Sep 2017 14:45:52 +0200

postfix-tempmail2 (1.1) unstable; urgency=medium

  * Check domain lenght
  * Do not put test config file in package

 -- Bastien Durel <bastien@durel.org>  Thu, 30 Sep 2017 13:02:26 +0200

postfix-tempmail2 (1) unstable; urgency=medium

  * Initial Release.

 -- Bastien Durel <bastien@durel.org>  Thu, 28 Sep 2017 17:32:16 +0200

=== debian/control ===
Source: postfix-tempmail2
Section: unknown
Priority: optional
Maintainer: Bastien Durel <bastien@durel.org>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5), postfix, libboost-program-options-dev
Standards-Version: 3.9.8
Vcs-Git: https://git.geekwu.org/bastien/postfix-tempmail2.git
Vcs-Browser: https://git.geekwu.org/bastien/postfix-tempmail2

Package: postfix-tempmail2
Architecture: any
Depends: postfix, ${shlibs:Depends}, ${misc:Depends}
Description: Provides automatic, unpredictable, temporary email-addresses
 postfix-tempmail2 implements a Postfix socketmap table lookup service for
 temporary trashmail-like e-mail addresses.
 It is inspired by https://www.vennedey.net/postfix-tempmail
 Real address and expiration date are enciphered with Chacha20-poly1305,
 then base32-encoded. If a mail decrypt successfuly -- and expiry is not
 reached -- the table matches and returns the original email.
